Skip to main content
PATCH
/
advertisers
/
{advertiserId}
/
test-plans
/
{testPlanId}
Update test plan
curl --request PATCH \
  --url https://api.agentic.scope3.com/api/v2/buyer/advertisers/{advertiserId}/test-plans/{testPlanId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "status": "designed",
  "testCondition": {},
  "controlCondition": {},
  "matchDimensions": [
    "<string>"
  ],
  "testCellsCount": 4503599627370495,
  "controlCellsCount": 4503599627370495,
  "coverageGaps": [
    "<unknown>"
  ]
}
'
{
  "data": null,
  "error": {
    "code": "<string>",
    "message": "<string>",
    "field": "<string>",
    "details": {}
  }
}

Authorizations

Authorization
string
header
required

API key or access token

Path Parameters

advertiserId
string
required

Unique identifier for the advertiser

Minimum string length: 1
Example:

"12345"

testPlanId
string
required

Body

application/json
status
enum<string>
Available options:
designed,
active,
complete
testCondition
object
controlCondition
object
matchDimensions
string[]
Minimum array length: 1
testCellsCount
integer
Required range: 0 <= x <= 9007199254740991
controlCellsCount
integer
Required range: 0 <= x <= 9007199254740991
coverageGaps
any[]

Response

Update test plan